﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RadDockingWPF_1079123
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        private IEnumerable<string> _data;
        public MainWindow()
        {
            InitializeComponent();

            DataContext = this;

            Data = new List<string>
            {
                @"http://www.google.com",
                @"http://www.telerik.com"
            };
        }

        public IEnumerable<string> Data
        {
            get { return _data; }
            set
            {
                _data = value;
                OnPropertyChanged();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void FrameworkElement_OnContextMenuOpening(object sender, ContextMenuEventArgs e)
        {
            (sender as FrameworkElement).Focus();
        }

        private void One_OnClick(object sender, RoutedEventArgs e)
        {
            Data = new List<string>
            {
                @"http://www.reddit.com",
                @"http://www.yahoo.com"
            };
        }

        private void Two_OnClick(object sender, RoutedEventArgs e)
        {
            Data = new List<string>
            {
                @"http://www.cnn.com",
                @"http://www.facebook.com"
            };
        }

        private void Three_OnClick(object sender, RoutedEventArgs e)
        {
            Data = new List<string>
            {
                @"http://www.rt.com",
                @"http://www.bbc.com"
            };
        }

        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

        private void MnuSelected_OnSubmenuOpened(object sender, RoutedEventArgs e)
        {
            mnuSelected.Items.Clear();
            mnuSelected.Items.Add(Resources["one"] as MenuItem);
            mnuSelected.Items.Add(Resources["two"] as MenuItem);
            mnuSelected.Items.Add(Resources["three"] as MenuItem);
        }

        private void SearchRadPane_OnMouseEnter(object sender, MouseEventArgs e)
        {
            SearchRadPane.Focus();
        }

        private void Hyperlink_Click(object sender, RoutedEventArgs e)
        {
            var link = e.OriginalSource as Hyperlink;

            if (link != null)
                Browser.Navigate(link.NavigateUri.OriginalString);
        }
    }
}
